Valorant API Unofficial docs
API Reference Contracts
GET

Contract Match

Get the contract, mission, XP, Kingdom Credits and reward progress a player earned from a specific match

Server PD · shard Auth Bearer + Entitlements
GET https://pd.{shard}.a.pvp.net/contracts/v1/players/{puuid}/matches/{match id}
Try this request in the browser with your own values

Headers

X-Riot-ClientPlatform string required
Value {client platform}— Base64-encoded client platform JSON
X-Riot-ClientVersion string required
Value {client version}— The current Valorant client version
X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

puuid string · uuid required
A player's UUID
match id string · uuid required

The ID of the match to get progress for

Other variables

client platform Base64-encoded client platform JSON.
Details

A string representing the platform of the client. Base-64 encoded JSON with the following fields:

{
    "platformType": "PC",
    "platformOS": "Windows",
    "platformOSVersion": "10.0.26200.1.256.64bit",
    "platformChipset": "Unknown"
}
ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ== is a value that works.

client version The current Valorant client version.
Details

The version of the Valorant client. This can be obtained in a number of ways:

  • Parsing the ShooterGame log at %LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log
  • Using the Sessions endpoint
  • Using the third-party RadiantConnect version endpoint (data.riot_client_version )
  • Using the third-party Versions endpoint
Sessions
entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

ID string · uuid

Match ID

CreatedAt string

Time the match was processed by the contracts service

StartTime number

Milliseconds since epoch

XPGrants object nullable
Show nested attributes Hide nested attributes 7
GamePlayed number
GameWon number
RoundPlayed number

XP granted for rounds played

RoundWon number

XP granted for rounds won

Missions record<string, number> nullable
Modifier object
Show nested attributes Hide nested attributes 3
Value number
BaseMultiplierValue number
Modifiers array[object]
Show nested attributes Hide nested attributes 3
Value number
Name string

Known values: RESTRICTIONS_XP, PREMIUM_CONTRACT_XP, SOCIAL_XP (bonus for playing with a premade party)

BaseOnly boolean
NumAFKRounds number
DoughGrants object nullable

Kingdom Credits ("Dough" internally) granted for the match

Show nested attributes Hide nested attributes 3
GamePlayed number
RoundPlayed number

Kingdom Credits granted for rounds played

RoundWon number

Kingdom Credits granted for rounds won

RewardGrants record<string, object> nullable

Rewards unlocked by contract level-ups from this match, keyed by contract ID

Show nested attributes Hide nested attributes 5
EntitlementRewards array[object] nullable
Show nested attributes Hide nested attributes 3
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

Amount number
ItemRewards array[any] nullable
WalletRewards array[object] nullable
Show nested attributes Hide nested attributes 2
CurrencyID string · uuid

Currency ID

Amount number
CounterRewards array[any] nullable
ProgressionRewards array[any] nullable
MissionDeltas record<string, object> nullable
Show nested attributes Hide nested attributes 3
ID string · uuid

Mission ID

Objectives record<string, number>
ObjectiveDeltas record<string, object>
Show nested attributes Hide nested attributes 3
ID string · uuid

Objective ID

ProgressBefore number
ProgressAfter number
ContractDeltas record<string, object> nullable
Show nested attributes Hide nested attributes 3
ID string · uuid

Contract ID

TotalXPBefore number
TotalXPAfter number
CouldProgressMissions boolean
MatchSummary object
Show nested attributes Hide nested attributes 2
RoundsTotal number
RoundsWon number
XID string · uuid

Unknown deterministic (UUIDv5) ID